// -------------------------------------------------------------------------------------------------
// xsBarraHerramientas.hpp
// -------------------------------------------------------------------------------------------------

// Inclusión de la Libreria
#include "xsEasyCpp.hpp"

#ifndef __xsBarraHerramientas_hpp__
#define __xsBarraHerramientas_hpp__

Clase xsBarraHerramientas : Publica xsObjeto
{
	Privada:		

        xsObjetoGUI*   contenedor;

	Publica:

		xsBarraHerramientas();

	    Vacio crear();

		xsObjetoGUI* obtenerManejadorContenedor();

		xsBotonItem* agregarBoton(xsCadena boton, 
		                          Entero   posicion, 
								  Logico   libreria,
								  xsCadena texto);

		Vacio agregarBoton(xsBotonItem* boton, 
		                   Entero       posicion,
						   xsCadena     texto);

		Vacio estilo(GtkToolbarStyle style);	

		Vacio iconos(GtkIconSize icon_size);
};

// Fin de la Definición del Archivo
#endif
